Require WindowsXP for mingw32.
authorTimothy B. Terriberry <tterribe@xiph.org>
Mon, 7 Jan 2013 21:00:44 +0000 (13:00 -0800)
committerRalph Giles <giles@thaumas.net>
Thu, 28 Feb 2013 02:12:52 +0000 (18:12 -0800)
commitcc5f107c13b8d18e3a8ebfc7e07282b4f35d72b0
treeccc88a67ef4e356123af60116ca90614532b5472
parent1e9d7d85af27e3fc547d0f6d4725823dcf153e13
Require WindowsXP for mingw32.

This allows an i686-pc-mingw32 build to use getaddrinfo/
 freeaddrinfo correctly.
It's not needed for an i686-w64-mingw32 build, but it doesn't hurt
 to leave it in here.
i686-pc-mingw32 still won't work correctly, because it does not
 support fseeko/ftello, nor (unless using MSVCRT 8.0 or later)
 _fseeki64/_ftelli64.
We could define __MSVCRT_VERSION__ to 0x800 to get the latter, but
 this would require different MSVCRT versions than libogg and
 libopus are built with by default, which makes a bit of a mess.
configure.ac